---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# Create recurring liability

Creates a single new recurring liability.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Liability",
      "description": "Returns a collection with all liabilities."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/liabilities-recurring": {
      "post": {
        "tags": [
          "Liability"
        ],
        "operationId": "liability.create.recurring",
        "summary": "Create recurring liability",
        "description": "Creates a single new recurring liability.",
        "requestBody": {
          "description": "Create a RecurringLiability object",
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                  "creationType",
                  "type",
                  "active"
                ],
                "properties": {
                  "creationType": {
                    "type": "string",
                    "description": "Type of RecurringLiability creation"
                  },
                  "type": {
                    "type": "string",
                    "description": "RecurringLiability type"
                  },
                  "active": {
                    "type": "boolean",
                    "description": "Indicates if the RecurringLiability is active"
                  },
                  "filter": {
                    "type": "string",
                    "description": "value is booking text for creationType=incoming_payment and day for creationType=date"
                  },
                  "debit": {
                    "type": "string",
                    "description": "value is debit for creationType=incoming_payment and amount for creationType=date"
                  },
                  "credit": {
                    "type": "string",
                    "description": "Credit amount"
                  },
                  "fee": {
                    "type": "string",
                    "description": "RecurringLiability fee"
                  },
                  "currency": {
                    "type": "string",
                    "description": "value is currency for creationType=incoming_payment,date"
                  },
                  "contraAccount": {
                    "type": "string",
                    "description": "Contra account description"
                  },
                  "invoiceNumber": {
                    "type": "string",
                    "description": "Invoice number related to the RecurringLiability"
                  },
                  "purpose": {
                    "type": "string",
                    "description": "Purpose of the RecurringLiability"
                  },
                  "costCenter": {
                    "type": "string",
                    "description": "Cost center description"
                  },
                  "paymentMethod": {
                    "type": "string",
                    "description": "Payment method used"
                  },
                  "approveGoodsReceiptInspection": {
                    "type": "boolean",
                    "description": "Approval for goods receipt inspection"
                  },
                  "approveIncomingInvoiceInspection": {
                    "type": "boolean",
                    "description": "Approval for incoming invoice inspection"
                  },
                  "liabilityAmount": {
                    "type": "string",
                    "description": "Liability amount for the RecurringLiability"
                  },
                  "liabilityCurrency": {
                    "type": "string",
                    "description": "Liability currency for the RecurringLiability"
                  },
                  "value": {
                    "type": "string",
                    "description": "value is supplier description for type=liability, contraAccount for type=chart_of_accounts, errorReason for type=import_error"
                  }
                }
              },
              "examples": {
                "Create Recurring Liability -- creationType - by incoming payment and type - liability": {
                  "value": {
                    "creationType": "incoming_payment",
                    "type": "liability",
                    "active": true,
                    "filter": "filter is bookingText test",
                    "debit": "12",
                    "credit": "11",
                    "fee": "1",
                    "currency": "EUR",
                    "value": "26171 Sandra Krämer (Dresden)",
                    "contraAccount": "account label",
                    "invoiceNumber": "INV-DE-UOSS-123456789-1234-567",
                    "purpose": "purpose test",
                    "costCenter": "5049 CostCenter Description",
                    "paymentMethod": "Amazon",
                    "approveGoodsReceiptInspection": true,
                    "approveIncomingInvoiceInspection": true
                  }
                },
                "Create Recurring Liability -- creationType - by incoming payment and type - chart of accounts": {
                  "value": {
                    "creationType": "incoming_payment",
                    "type": "chart_of_accounts",
                    "active": true,
                    "filter": "filter is bookingText test",
                    "debit": "12",
                    "credit": "11",
                    "fee": "1",
                    "currency": "EUR",
                    "contraAccount": "account label",
                    "value": "account label"
                  }
                },
                "Create Recurring Liability -- creationType - by incoming payment and type - import error": {
                  "value": {
                    "creationType": "incoming_payment",
                    "type": "import_error",
                    "active": true,
                    "filter": "filter is bookingText test",
                    "debit": "12",
                    "credit": "11",
                    "fee": "1",
                    "currency": "EUR",
                    "value": "Some error"
                  }
                },
                "Create Recurring Liability -- creationType - by date and type - liability": {
                  "value": {
                    "creationType": "date",
                    "type": "liability",
                    "active": true,
                    "filter": "1",
                    "value": "26171 Sandra Krämer (Dresden)",
                    "contraAccount": "account label",
                    "invoiceNumber": "INV-DE-UOSS-123456789-1234-567",
                    "purpose": "purpose test",
                    "costCenter": "5049 CostCenter Description",
                    "paymentMethod": "Amazon",
                    "approveGoodsReceiptInspection": true,
                    "approveIncomingInvoiceInspection": true,
                    "debit": "10",
                    "currency": "EUR"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Resource successfully created response",
            "headers": {
              "Location": {
                "schema": {
                  "type": "string",
                  "example": "https://example.xentral.biz/api/users/17"
                },
                "description": "URI of the created resource"
              }
            },
            "content": {
              "text/html": {
                "schema": {
                  "type": "string",
                  "enum": [
                    ""
                  ],
                  "nullable": true
                }
              }
            }
          },
          "400": {
            "description": "IETF RFC 9457 Problem API compliant response",
            "content": {
              "application/problem+json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "violations"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/request-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1,
                          "example": "Request payload validation failed."
                        },
                        "violations": {
                          "oneOf": [
                            {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "example": {
                                  "username": [
                                    "This value should not be blank."
                                  ],
                                  "email": [
                                    "This value is not a valid email address."
                                  ]
                                }
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            },
                            {
                              "type": "object",
                              "example": {
                                "_": [
                                  "This value should contain at most `9` elements."
                                ]
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            }
                          ]
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflict"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "items"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflictItems"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "items": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id",
                              "title",
                              "messages"
                            ],
                            "properties": {
                              "id": {
                                "type": "integer"
                              },
                              "title": {
                                "type": "string",
                                "minLength": 1
                              },
                              "messages": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "scopes"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://developer.xentral.com/reference/problems#token-scopes"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "scopes": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "object",
                          "additionalProperties": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "404": {
            "description": "Resource was not found or not enough access privileges"
          },
          "415": {
            "description": "Resource representation send in the request is not supported."
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```